Bug 164893 - sysutils/conky build fails with clang
Summary: sysutils/conky build fails with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-08 03:30 UTC by Brandon Gooch
Modified: 2012-03-08 05:10 UTC (History)
0 users

See Also:


Attachments
file.shar (434 bytes, text/plain)
2012-02-08 03:30 UTC, Brandon Gooch
no flags Details
patch-src-conky.c (1.58 KB, text/x-csrc; charset=US-ASCII)
2012-02-08 14:34 UTC, Brandon Gooch
no flags Details
patch-src-freebsd.c (1.22 KB, text/x-csrc; charset=US-ASCII)
2012-02-08 14:34 UTC, Brandon Gooch
no flags Details
conky-1.8.1_5.diff (7.29 KB, patch)
2012-03-06 19:53 UTC, ntarmos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brandon Gooch 2012-02-08 03:30:12 UTC
With llvm/clang as the default compiler, sysutils/conky doesn't build. The problems are with a C pre-processor directive and a faulty include of a spurious header.

Fix: Replace the files in the conky port directory with the attached.

Example:
$ sh patch-src-conky.shar && cp patch-src-* /usr/ports/sysutils/conky/files/

Patch attached with submission follows:
How-To-Repeat: Attempt to build sysutils/conky with clang.
Comment 1 Brandon Gooch 2012-02-08 14:34:30 UTC
My first attempt at submitting this failed.  Here I go again...
Comment 2 Philip M. Gollucci freebsd_committer 2012-02-08 20:14:38 UTC
State Changed
From-To: open->feedback

Request Feedback:
Comment 3 Philip M. Gollucci freebsd_committer 2012-02-22 05:04:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 4 ntarmos 2012-03-06 19:53:35 UTC
Patch fixing this and other compilation problems attached.

\n\n
Comment 5 Philip M. Gollucci freebsd_committer 2012-03-08 04:46:38 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 6 Philip M. Gollucci freebsd_committer 2012-03-08 05:07:17 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 7 dfilter service freebsd_committer 2012-03-08 05:07:27 UTC
pgollucci    2012-03-08 05:07:14 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/conky       Makefile 
    sysutils/conky/files patch-configure patch-src-conky.c 
                         patch-src-freebsd.c 
  Added files:
    sysutils/conky/files patch-src-ccurl_thread.c 
  Log:
  - Fix build with llvm/clang and other miscellanous compile issues
  - Bump PORTREVISION
  
  PR:             ports/164893
  Submitted by:   Brandon Gooch <jamesbrandongooch@gmail.com> &
                  Nikos Ntarmos <ntarmos@ceid.upatras.gr> (maintainer)
  
  Revision  Changes    Path
  1.64      +9 -1      ports/sysutils/conky/Makefile
  1.6       +101 -1    ports/sysutils/conky/files/patch-configure
  1.1       +10 -0     ports/sysutils/conky/files/patch-src-ccurl_thread.c (new)
  1.11      +10 -1     ports/sysutils/conky/files/patch-src-conky.c
  1.19      +31 -7     ports/sysutils/conky/files/patch-src-freebsd.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"